
;   build.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2002 Free SoftwareFoundation, Inc.
;
;   Written by: Richard frith-Macdonald <rfm@gnu.org>
;   Date: Aug 2002
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define path gstep-nil)
  (define data gstep-nil)
  (define doc gstep-nil)
  (define par gstep-nil)

  (greg-testcase "Can make a simple document" #t
    (lambda ()
      (set! doc ([] "GSMimeDocument" new))
      (set! par ([] "NSMutableDictionary" new))
      ([] par setObject: ($$ "my/type") forKey: ($$ "type"))
      ([] doc setContent: ($$ "Hello\r\n"))
      ([] doc setHeader: ([] ([] "GSMimeHeader" alloc) initWithName:
	($$ "content-type") value: ($$ "text/plain") parameters: par))
      ([] doc setHeader: ([] ([] "GSMimeHeader" alloc) initWithName:
	($$ "content-transfer-encoding") value: ($$ "binary") parameters:
	gstep-nil))
      (set! path ($$ (string-append (greg-directory) "/mime8.dat")))
      (set! data ([] "NSData" dataWithContentsOfFile: path))
;([] ([] doc rawMimeData) writeToFile: ($$ "/tmp/abc") atomically: #f)
      (gstep-bool ([] ([] doc rawMimeData) isEqual: data))
    )
  )

)


