
;   general.scm - General tests for NSArchiver
;   Copyright (C) 1998 Free SoftwareFoundation, Inc.
;
;   Written by:  Adam Fedor <fedor@gnu.org>
;   Date: Jan 2000
;   (Adapted from tests written by Richard Frith-Macdonald)
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define val1 gstep-nil)
  (define val2 gstep-nil)
  (define val3 gstep-nil)
  (define vals1 gstep-nil)
  (define vals2 gstep-nil)
  (define data1 gstep-nil)

  (greg-testcase "We can build basic strings and arrays for tests" #t
    (lambda ()
      (set! val1 ([] "NSString" stringWithCString: "Archiver.dat"))
      (set! val2 ([] "NSString" stringWithCString: "A Goodbye"))
      (set! val3 ([] "NSString" stringWithCString: "Testing All Strings"))
      (set! vals1 ([] ([] "NSArray" arrayWithObject: val1)
			arrayByAddingObject: val2))
      (set! vals2 ([] vals1 arrayByAddingObject: val2))
      #t
    )
  )

  ;
  ;	Simple archiving/unarchiving.
  ;
  (define arr gstep-nil)
  (greg-testcase "archivedDataWithRootObject: seems ok" #t
    (lambda ()
      (set! data1 ([] "NSArchiver" archivedDataWithRootObject: vals2))
      (and
	(not (equal? data1 gstep-nil))
	(not (equal? 0 ([] data1 length)))
      )
    )
  )

  (define arr gstep-nil)
  (greg-testcase "archiveRootObject:toFile: seems ok" #t
    (lambda ()
      (gstep-bool ([] "NSArchiver" archiveRootObject: vals2 toFile: val1))
    )
  )

  (define arr gstep-nil)
  (greg-testcase "unarchiveObjectWithData: seems ok" #t
    (lambda ()
      (define a ([] "NSUnarchiver" unarchiveObjectWithData: data1))
      (and
	(not (equal? a gstep-nil))
	(gstep-bool ([] a isKindOfClass: ([] "NSArray" class)))
	(gstep-bool ([] a isEqual: vals2))
      )
    )
  )

  (define arr gstep-nil)
  (greg-testcase "unarchiveObjectWithFile: seems ok" #t
    (lambda ()
      (define a ([] "NSUnarchiver" unarchiveObjectWithFile: val1))
      (and
	(not (equal? a gstep-nil))
	(gstep-bool ([] a isKindOfClass: ([] "NSArray" class)))
	(gstep-bool ([] a isEqual: vals2))
      )
    )
  )

)

