
;   basic.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 1998 Free SoftwareFoundation, Inc.
;
;   Written by:  Richard Frith-Macdonald <richard@brainstorm.co.uk>
;   Date: July 1998
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(let*
  (
    (testObjs '())
    (str gstep-nil)
    (obj gstep-nil)
  )
  (begin

    ;
    ;  Perform main tests iff basic alloc/init works and we are able to
    ;  build a list of objects to test.
    ;
    (if
      (and
	(test-alloc "NSArray")
	(greg-testcase "can create an empty array" #t
	  (lambda ()
	    (set! obj ([] "NSArray" new))
	    (set! testObjs (cons obj testObjs))
	    (not (equal? obj gstep-nil))
	  )
	)
	(greg-testcase "can create an array with one element" #t
	  (lambda ()
	    (set! str ([] "NSString" stringWithCString: "Hello"))
	    (set! obj ([] "NSArray" arrayWithObject: str))
	    (set! testObjs (cons obj testObjs))
	    (not (equal? obj gstep-nil))
	  )
	)
      )
      (begin
	;
	; Test operations on list of objects
	;
	(test-NSObject "NSArray" testObjs)
	(test-NSCoding testObjs)
	(test-NSCopying "NSArray" "NSMutableArray" testObjs #t #f)
	(test-NSMutableCopying "NSArray" "NSMutableArray" testObjs)
      )
    )
  )
)
