;   resources.scm - Check resource path methods for NSBundle
;   Copyright (C) 1998, 2000, 2002 Free SoftwareFoundation, Inc.
;
;   Written by:  Adam Fedor <fedor@gnu.org>
;   Date: Nov 2002
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

;
;	Do everything inside a 'begin' procedure so that any variables
;	defined will have scope limited to this file.
;
(begin

  ;
  ;	Define variables that we are going to use to contain values between
  ;	individual tests - they need to be defined here so they are in the
  ;	scope enclosing all the tests.
  ;
  (define bundle gstep-nil)
  (define theClass gstep-nil)

  ;
  ; Load the bundle with our required classes. Check if it's already been
  ; loaded from a previous test
  ;
  (test-load-bundle "NicolaTest" "Resources" "BaseLibrary")


  ;
  ; Creating the basic NSBundle bundle we want to use for testing
  ;
  (greg-testcase 
    "We can retrieve the bundle" #t
    (lambda ()
      (set! theClass (gstep-lookup-class "NicolaTest"))
      (set! bundle ([] "NSBundle" bundleForClass: theClass)) 
      (not (eq? bundle gstep-nil))
      )
    )

  (test-for-string "resourcePath returns a string"
		   ([] bundle resourcePath))

  (test-for-class "localizations returns an array" "NSArray"
		  ([] bundle localizations))

  (test-for-class "preferredLocalizations returns an array" "NSArray"
		  ([] bundle preferredLocalizations))


  (test-for-class "infoDictionary returns a dictionary" "NSDictionary"
		  ([] bundle infoDictionary))

  ; Not implemented yet
  ;(test-for-class "localizedInfoDictionary returns a dictionary" "NSDictionary"
  ;		  ([] bundle localizedInfoDictionary))



)






