
;   class.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 1999 Free SoftwareFoundation, Inc.
;
;   Written by:  Richard Frith-Macdonald <richard@brainstorm.co.uk>
;   Date: April 1999
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define theSet gstep-nil)

  (greg-testcase "NSCharacterSet understands [+alphanumericCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" alphanumericCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques alphanumericCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" alphanumericCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+controlCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" controlCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques controlCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" controlCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+decimalDigitCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" decimalDigitCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques decimalDigitCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" decimalDigitCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+illegalCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" illegalCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques illegalCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" illegalCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+letterCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" letterCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques letterCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" letterCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+lowercaseLetterCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" lowercaseLetterCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques lowercaseLetterCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" lowercaseLetterCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+nonBaseCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" nonBaseCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques nonBaseCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" nonBaseCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+punctuationCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" punctuationCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques punctuationCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" punctuationCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+uppercaseLetterCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" uppercaseLetterCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques uppercaseLetterCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" uppercaseLetterCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase
    "NSCharacterSet understands [+whitespaceAndNewlineCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" whitespaceAndNewlineCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques whitespaceAndNewlineCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" whitespaceAndNewlineCharacterSet))
      (equal? theSet tmp)
    )
  )

  (greg-testcase "NSCharacterSet understands [+whitespaceCharacterSet]" #t
    (lambda ()
      (set! theSet ([] "NSCharacterSet" whitespaceCharacterSet))
      (not (equal? theSet gstep-nil))
    )
  )
  (greg-testcase "NSCharacterSet uniques whitespaceCharacterSet" #t
    (lambda ()
      (define tmp ([] "NSCharacterSet" whitespaceCharacterSet))
      (equal? theSet tmp)
    )
  )

)
