
;   connection.scm - NSConnection simple connection
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by:  Adam Fedor <fedor@gnu.org>
;   Date: May 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


;
; Simple connection. Note we assume this file is run after the NSInvocation
; test so that the BaseLibrary bundle has been loaded.
;
(begin
  
  ;
  ; Load the bundle with our required classes. Check if it's already been
  ; loaded from a previous test (NSInvocation/general.scm).
  ;
  (define bnd gstep-nil)
  (define classname "Tester")
  (define theClass gstep-nil)
  (define prefix (string-append "Class '" classname "' "))

(set! theClass (gstep-lookup-class classname))
(if
  (equal? theClass gstep-nil)
  (greg-testcase "We can load the base bundle" #t
    (lambda ()
      (define mgr gstep-nil)
      (define pth1 gstep-nil)
      (set! mgr ([] "NSFileManager" defaultManager))
      (set! pth1 ([] mgr currentDirectoryPath))
      (set! pth1 ([] pth1 stringByAppendingPathComponent: ($$ "Resources")))
      (set! pth1 ([] "NSBundle" pathForResource: ($$ "BaseLibrary")
		                         ofType: ($$ "bundle")
			            inDirectory: pth1))
      (set! bnd  ([] "NSBundle" bundleWithPath: pth1))
      (and
         (not (eq? pth1 gstep-nil))
         (not (eq? bnd gstep-nil))
	 (gstep-bool ([] bnd load))
      )
    )
  )
)

  (greg-testcase "NSConnection can do a simple connection" #t
    (lambda ()
      (define date gstep-nil)
      (define run ([] NSRunLoop currentRunLoop))
      (define obj ([] "Tester" startup))
      (set! date ([] "NSDate" dateWithTimeIntervalSinceNow: 1))
      ([] run runUntilDate: date)
      #t
    )
  )

)




