
;   basic.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 1998 Free SoftwareFoundation, Inc.
;
;   Written by:  Richard Frith-Macdonald <richard@brainstorm.co.uk>
;   Date: July 1998
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define testObjs '())
  ;
  ;  Perform main tests iff basic alloc/init works and we are able to
  ;  build a list of objects to test.
  ;
  (if
    (and
      (test-alloc "NSDictionary")
      (greg-testcase "can create an empty dictionary" #t
	(lambda ()
	  (begin
	    (define obj ([] "NSDictionary" new))
	    (set! testObjs (cons obj testObjs))
	    (not (equal? obj gstep-nil))
	  )
	)
      )
      (greg-testcase "can create a dictionary with one element" #t
	(lambda ()
	  (let*
	    (
	      (key ([] "NSString" stringWithCString: "Key"))
	      (str ([] "NSString" stringWithCString: "Hello"))
	      (obj ([] "NSDictionary" dictionaryWithObject: str forKey: key))
	    )
	    (begin
	      (set! testObjs (cons obj testObjs))
	      (not (equal? obj gstep-nil))
	    )
	  )
	)
      )
    )
    (begin
      ;
      ; Test operations on list of objects
      ;
      (test-NSObject "NSDictionary" testObjs)
      (test-NSCoding testObjs)
      (test-NSCopying "NSDictionary" "NSMutableDictionary" testObjs #t #f)
      (test-NSMutableCopying "NSDictionary" "NSMutableDictionary" testObjs)
    )
  )
)
