
;   create.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2000 Free SoftwareFoundation, Inc.
;
;   Written by: Adam Fedor <fedor@gnu.org>
;   Date: Dec 2000
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define current gstep-nil)
  (define localh gstep-nil)

  (greg-testcase "NSHost understands [+currentHost]" #t
    (lambda ()
      (set! current ([] "NSHost" currentHost))
      (not (equal? current gstep-nil))
    )
  )

  (greg-testcase "NSHost understands +hostWithName:" #t
    (lambda ()
      (define tmp ([] "NSHost" hostWithName: ([] current name)))
      (gstep-bool ([] tmp isEqualToHost: current))
    )
  )

  (greg-testcase "NSHost understands +hostWithAddress:" #t
    (lambda ()
      (define tmp ([] "NSHost" hostWithAddress: ([] current address)))
      (gstep-bool ([] tmp isEqualToHost: current))
    )
  )

  (greg-testcase "NSHost understands [+localHost]" #t
    (lambda ()
      (set! localh ([] "NSHost" localHost))
      (not (equal? localh gstep-nil))
    )
  )

  (greg-testcase "NSHost understands [+hostWithName: 127.0.0.1]" #t
    (lambda ()
      (define tmp ([] "NSHost" hostWithName: ($$ "127.0.0.1")))
      (not (equal? tmp gstep-nil))
    )
  )

)
