;   tryLock.scm - tests for [NSLock -tryLock]
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by:  Nicola Pero <nicola@brainstorm.co.uk>
;   Date: March 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (greg-testcase "NSLock with tryLock, then unlocking" #t
    (lambda ()
      (define lock ([] "NSLock" new))
      (cond 
        ((gstep-bool ([] lock tryLock))
          ([] lock unlock)
	  #t
        )
        (else #f)
      )
    )
  )

  (greg-testcase "Recursive locking with NSLock should return NO" #t
    (lambda ()
      (define lock ([] "NSLock" new))
      ([] lock tryLock)
      (cond 
        ((gstep-bool ([] lock tryLock))
          ([] lock unlock)
	  #f
        )
        (else #t)
      )
    )
  )

  (greg-testcase "NSLock lockBeforeDate: works" #t
    (lambda ()
      (define lock ([] "NSLock" new))
      (cond 
        ((gstep-bool ([] lock lockBeforeDate: ([] NSDate dateWithTimeIntervalSinceNow: 5)))
          ([] lock unlock)
	  #t
        )
        (else #f)
      )
    )
  )

  (greg-testcase "Recursive lockBeforeDate: with NSLock returns NO" #t
    (lambda ()
      (define lock ([] "NSLock" new))
      ([] lock tryLock)
      (cond 
        ((gstep-bool ([] lock lockBeforeDate: ([] NSDate dateWithTimeIntervalSinceNow: 2)))
          ([] lock unlock)
	  #f
        )
        (else #t)
      )
    )
  )

)
