
;   basic.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 1998 Free SoftwareFoundation, Inc.
;
;   Written by:  Richard Frith-Macdonald <richard@brainstorm.co.uk>
;   Date: July 1998
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

(test-alloc "NSMutableString")

(define testString ([] "NSMutableString" stringWithCString: "Hello\n"))
(test-NSObject "NSMutableString" (list testString))
(test-NSCoding (list testString))

(test-NSCopying "NSString" "NSMutableString" (list testString) #f #f)
(test-NSMutableCopying "NSString" "NSMutableString" (list testString))

(greg-testcase "We can append a unicode string to a C string" #t
  (lambda ()
    (let
      (
	(base ([] "NSMutableString" stringWithCString: "hello"))
	(ext ([] ($$ "\"\\UFE66???\"") propertyList))
	(want ([] ($$ "\"hello\\UFE66???\"") propertyList))
      )
      (begin
	([] base appendString: ext)
	(and
	  (equal? ([] base length) 9)
	  (equal? ([] ext length) 4)
	  (equal? ([] want length) 9)
	  (gstep-bool ([] want isEqual: base))
	)
      )
    )
  )
)

)

