;   test02.scm - Tests of conformsToProtocol:
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by: Nicola Pero <nicola@brainstorm.co.uk>
;   Date: December 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin 

  ;;
  ;; Load the bundle with our required classes. Check if it's already been
  ;; loaded from a previous test
  ;;
  (test-load-bundle "NicolaTest" "Resources" "BaseLibrary")

(greg-testcase 
 "+conformsToProtocol returns YES on an implemented protocol" #t
 (lambda ()
   (gstep-bool ([] "NicolaTest" conformsToProtocol: 
		(gstep-lookup-protocol "DoingNothing")))))

(greg-testcase 
 "+conformsToProtocol returns YES on a protocol implemented in a category" #t
 (lambda ()
   (gstep-bool ([] "NicolaTest" conformsToProtocol: 
		(gstep-lookup-protocol "DoingNothingCategory")))))

(greg-testcase 
 "+conformsToProtocol returns NO on an unimplemented protocol" #f
 (lambda ()
   (gstep-bool ([] "NicolaTest" conformsToProtocol: 
		(gstep-lookup-protocol "NSCoding")))))

(greg-testcase 
 "-conformsToProtocol returns YES on an implemented protocol" #t
 (lambda ()
   (gstep-bool ([] ([] "NicolaTest" new) conformsToProtocol: 
		(gstep-lookup-protocol "DoingNothing")))))

(greg-testcase 
 "-conformsToProtocol returns YES on a protocol implemented in a category" #t
 (lambda ()
   (gstep-bool ([] ([] "NicolaTest" new) conformsToProtocol: 
		(gstep-lookup-protocol "DoingNothingCategory")))))

(greg-testcase 
 "-conformsToProtocol returns NO on an unimplemented protocol" #f
 (lambda ()
   (gstep-bool ([] ([] "NicolaTest" new) conformsToProtocol: 
		(gstep-lookup-protocol "NSCoding")))))

)