
;   create.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2000 Free SoftwareFoundation, Inc.
;
;   Written by: Adam Fedor <fedor@gnu.org>
;   Date: Dec 2000
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define info gstep-nil)

  (greg-testcase "NSProcessInfo understands [+processInfo]" #t
    (lambda ()
      (set! info ([] "NSProcessInfo" processInfo))
      (not (equal? info gstep-nil))
    )
  )

  (greg-testcase "NSProcessInfo has arguments" #t
    (lambda ()
      (define obj ([] info arguments))
       (and
        (not (equal? obj gstep-nil))
        (gstep-bool ([] obj isKindOfClass: ([] "NSArray" class)))
        (not (eq? 0 ([] obj count)))
      )
    )
  )

  (greg-testcase "NSProcessInfo has environment" #t
    (lambda ()
      (define obj ([] info environment))
       (and
        (not (equal? obj gstep-nil))
        (gstep-bool ([] obj isKindOfClass: ([] "NSDictionary" class)))
      )
    )
  )

  (greg-testcase "-processName is non-nil" #t
    (lambda ()
      (define obj ([] info processName))
       (and
        (not (equal? obj gstep-nil))
        (gstep-bool ([] obj isKindOfClass: ([] "NSString" class)))
	(not (eq? 0 ([] obj length)))
      )
    )
  )

  (greg-testcase "-globallyUniqueString works" #t
    (lambda ()
      (define obj ([] info globallyUniqueString))
       (and
        (not (equal? obj gstep-nil))
        (gstep-bool ([] obj isKindOfClass: ([] "NSString" class)))
	(not (eq? 0 ([] obj length)))
      )
    )
  )

  (greg-testcase "-operatingSystemName works" #t
    (lambda ()
      (define obj ([] info operatingSystemName))
       (and
        (not (equal? obj gstep-nil))
        (gstep-bool ([] obj isKindOfClass: ([] "NSString" class)))
	(not (eq? 0 ([] obj length)))
      )
    )
  )

  (greg-testcase "-operatingSystem works" #t
    (lambda ()
      (define val ([] info operatingSystem))
      (not (equal? val 0))
    )
  )


)
