
;   create.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2000 Free SoftwareFoundation, Inc.
;
;   Written by: Adam Fedor <fedor@gnu.org>
;   Date: Dec 2000
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define sig gstep-nil)
  (define inv gstep-nil)
  (define tim gstep-nil)
  (define run gstep-nil)
  (define date gstep-nil)
  (define yes  gstep-nil)

  (greg-testcase "We can build some objects for run loop tests" #t
    (lambda ()
      (set! sig  ([] "NSTimer" instanceMethodSignatureForSelector: 
		                            (selector isValid)))
      (set! inv  ([] "NSInvocation" invocationWithMethodSignature: sig))
      (set! yes (bool->gstep-bool #t))
      #t
    )
  )

  (greg-testcase "NSRunLoop understands [+currentRunLoop]" #t
    (lambda ()
      (set! run ([] "NSRunLoop" currentRunLoop))
      (not (equal? run gstep-nil))
    )
  )

  (greg-testcase "-currentMode returns nil" #t
    (lambda ()
      (define obj ([] run currentMode))
      (equal? obj gstep-nil)
    )
  )

  ;
  ; Loop tests
  ;
  (greg-testcase "-runUntilDate: works" #t
    (lambda ()
      (set! date ([] "NSDate" dateWithTimeIntervalSinceNow: 3))
      ([] run runUntilDate: date)
      #t
    )
  )
  ;
  ; Create a timer and run a loop
  ;
  (greg-testcase "-runUntilDate: works with a timer" #t
    (lambda ()
      (set! date ([] "NSDate" dateWithTimeIntervalSinceNow: 5))
      (set! tim ([] "NSTimer" scheduledTimerWithTimeInterval: 2.0
		                                  invocation: inv
                                                     repeats: yes))
      ([] inv setTarget: tim)
      ([] inv setSelector: (selector isValid))
      ([] run runUntilDate: date)
      #t
    )
  )



)




