
;   test01.scm - Tests of string path operations
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by:  Richard Frith-Macdonald <richardbrainstorm.co.uk>
;   Date: February 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



(greg-testcase "pathComponents ''" #t (lambda ()
  (eq? ([] ([] ($$ "") pathComponents) count) 0)
))
(greg-testcase "pathComponents 'usr'" #t (lambda ()
  (eq? ([] ([] ($$ "usr") pathComponents) count) 1)
))
(greg-testcase "pathComponents 'usr/'" #t (lambda ()
  (eq? ([] ([] ($$ "usr/") pathComponents) count) 2)
))
(greg-testcase "pathComponents 'usr/bin'" #t (lambda ()
  (eq? ([] ([] ($$ "usr/bin") pathComponents) count) 2)
))
(greg-testcase "pathComponents 'usr//bin'" #t (lambda ()
  (eq? ([] ([] ($$ "usr//bin") pathComponents) count) 2)
))
(greg-testcase "pathComponents 'usr///bin'" #t (lambda ()
  (eq? ([] ([] ($$ "usr///bin") pathComponents) count) 2)
))
(greg-testcase "pathComponents '/'" #t (lambda ()
  (eq? ([] ([] ($$ "/") pathComponents) count) 1)
))
(greg-testcase "pathComponents '/usr'" #t (lambda ()
  (eq? ([] ([] ($$ "/usr") pathComponents) count) 2)
))
(greg-testcase "pathComponents '/usr/'" #t (lambda ()
  (eq? ([] ([] ($$ "/usr/") pathComponents) count) 3)
))
(greg-testcase "pathComponents '/usr/bin'" #t (lambda ()
  (eq? ([] ([] ($$ "/usr/bin") pathComponents) count) 3)
))
(greg-testcase "pathComponents '/usr//bin'" #t (lambda ()
  (eq? ([] ([] ($$ "/usr//bin") pathComponents) count) 3)
))
(greg-testcase "pathComponents '/usr///bin'" #t (lambda ()
  (eq? ([] ([] ($$ "/usr///bin") pathComponents) count) 3)
))

(greg-testcase "'' stringByAppendingPathComponents: ''" #t (lambda ()
  (equal? ([] ([] ($$ "") stringByAppendingPathComponent: ($$ "")) cString) "")))
(greg-testcase "'' stringByAppendingPathComponents: 'usr'" #t (lambda ()
  (equal? ([] ([] ($$ "") stringByAppendingPathComponent: ($$ "usr")) cString) "usr")))
(greg-testcase "'' stringByAppendingPathComponents: 'usr/'" #t (lambda ()
  (equal? ([] ([] ($$ "") stringByAppendingPathComponent: ($$ "usr/")) cString) "usr")))
(greg-testcase "'' stringByAppendingPathComponents: '/usr'" #t (lambda ()
  (equal? ([] ([] ($$ "") stringByAppendingPathComponent: ($$ "/usr")) cString) "/usr")))
(greg-testcase "'' stringByAppendingPathComponents: '/usr/'" #t (lambda ()
  (equal? ([] ([] ($$ "") stringByAppendingPathComponent: ($$ "/usr/")) cString) "/usr")))
(greg-testcase "'/' stringByAppendingPathComponents: ''" #t (lambda ()
  (equal? ([] ([] ($$ "/") stringByAppendingPathComponent: ($$ "")) cString) "/")))
(greg-testcase "'/' stringByAppendingPathComponents: 'usr'" #t (lambda ()
  (equal? ([] ([] ($$ "/") stringByAppendingPathComponent: ($$ "usr")) cString) "/usr")))
(greg-testcase "'/' stringByAppendingPathComponents: 'usr/'" #t (lambda ()
  (equal? ([] ([] ($$ "/") stringByAppendingPathComponent: ($$ "usr/")) cString) "/usr")))
(greg-testcase "'/' stringByAppendingPathComponents: '/usr'" #t (lambda ()
  (equal? ([] ([] ($$ "/") stringByAppendingPathComponent: ($$ "/usr")) cString) "/usr")))
(greg-testcase "'/' stringByAppendingPathComponents: '/usr/'" #t (lambda ()
  (equal? ([] ([] ($$ "/") stringByAppendingPathComponent: ($$ "/usr/")) cString) "/usr")))
(greg-testcase "'usr' stringByAppendingPathComponents: ''" #t (lambda ()
  (equal? ([] ([] ($$ "usr") stringByAppendingPathComponent: ($$ "")) cString) "usr")))
(greg-testcase "'usr' stringByAppendingPathComponents: 'bin'" #t (lambda ()
  (equal? ([] ([] ($$ "usr") stringByAppendingPathComponent: ($$ "bin")) cString) "usr/bin")))
(greg-testcase "'usr' stringByAppendingPathComponents: 'bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "usr") stringByAppendingPathComponent: ($$ "bin/")) cString) "usr/bin")))
(greg-testcase "'usr' stringByAppendingPathComponents: '/bin'" #t (lambda ()
  (equal? ([] ([] ($$ "usr") stringByAppendingPathComponent: ($$ "/bin")) cString) "usr/bin")))
(greg-testcase "'usr' stringByAppendingPathComponents: '/bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "usr") stringByAppendingPathComponent: ($$ "/bin/")) cString) "usr/bin")))
(greg-testcase "'/usr' stringByAppendingPathComponents: ''" #t (lambda ()
  (equal? ([] ([] ($$ "/usr") stringByAppendingPathComponent: ($$ "")) cString) "/usr")))
(greg-testcase "'/usr' stringByAppendingPathComponents: 'bin'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr") stringByAppendingPathComponent: ($$ "bin")) cString) "/usr/bin")))
(greg-testcase "'/usr' stringByAppendingPathComponents: 'bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr") stringByAppendingPathComponent: ($$ "bin/")) cString) "/usr/bin")))
(greg-testcase "'/usr' stringByAppendingPathComponents: '/bin'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr") stringByAppendingPathComponent: ($$ "/bin")) cString) "/usr/bin")))
(greg-testcase "'/usr' stringByAppendingPathComponents: '/bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr") stringByAppendingPathComponent: ($$ "/bin/")) cString) "/usr/bin")))
(greg-testcase "'/usr/' stringByAppendingPathComponents: ''" #t (lambda ()
  (equal? ([] ([] ($$ "/usr/") stringByAppendingPathComponent: ($$ "")) cString) "/usr")))
(greg-testcase "'/usr/' stringByAppendingPathComponents: 'bin'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr/") stringByAppendingPathComponent: ($$ "bin")) cString) "/usr/bin")))
(greg-testcase "'/usr/' stringByAppendingPathComponents: 'bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr/") stringByAppendingPathComponent: ($$ "bin/")) cString) "/usr/bin")))
(greg-testcase "'/usr/' stringByAppendingPathComponents: '/bin'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr/") stringByAppendingPathComponent: ($$ "/bin")) cString) "/usr/bin")))
(greg-testcase "'/usr/' stringByAppendingPathComponents: '/bin/'" #t (lambda ()
  (equal? ([] ([] ($$ "/usr/") stringByAppendingPathComponent: ($$ "/bin/")) cString) "/usr/bin")))

