; Alexander Malmberg <alexander@malmberg.org>
;
; Test for bugs that occur when the internal 8-bit encoding for strings
; and the c string encoding aren't the same.

(begin
  ; \u00e5 might not be representable in the c string encoding. In that
  ; case, we catch the exception and consider the test to have passed.
  (greg-testcase "[NSString -initWithCString:] works" #t
    (lambda ()
      (let ((the-string ([] "NSString" stringWithCharacters: (list->voidp '(#xe5) "S")
						   length: 1)))
	(catch #t
	  (lambda ()
	    (gstep-bool ([] the-string isEqual: ([] ([] NSString alloc) initWithCString: ([] the-string cString))))
	    )
	  (lambda (key . args)
	    #t
	    )
	  )
	)
      ))

  (greg-testcase "[NSMutableString -initWithCString:] works" #t
    (lambda ()
      (let ((the-string ([] "NSString" stringWithCharacters: (list->voidp '(#xe5) "S")
						   length: 1)))
	(catch #t
	  (lambda ()
	    (gstep-bool ([] the-string isEqual: ([] ([] NSMutableString alloc) initWithCString: ([] the-string cString))))
	    )
	  (lambda (key . args)
	    #t
	    )
	  )
	)
      ))
  )
