
;   create.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2000 Free SoftwareFoundation, Inc.
;
;   Written by: Adam Fedor <fedor@gnu.org>
;   Date: Dec 2000
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define info gstep-nil)
  (define env  gstep-nil)
  (define pth1 gstep-nil)
  (define pth2 gstep-nil)
  (define yes  gstep-nil)
  (define windows #f)

  (greg-testcase "We can build some objects for task tests" #t
    (lambda ()
      (set! info  ([] "NSProcessInfo" processInfo))
      (set! env ([] ([] info environment) mutableCopy))
      (set! yes (bool->gstep-bool #t))
      #t
    )
  )

  ; Check which OS we are on. FIXME: Need a better test for this
  (greg-testcase "Check which os we are running" #t
    (lambda ()
      (define tmp ([] "NSBundle" _gnustep_target_os))
      (if (gstep-bool ([] tmp isEqual: ($$ "mingw32")))
	  (set! windows #t)
	  (set! windows #f)
      )
      (if windows
	  (set! pth1 ($$ "C:\\WINDOWS\\COMMAND\\MEM.EXE"))
	  (set! pth1 ($$ "/bin/ls"))
      )
      #t
    )
  )

  ;
  ; Try some tasks.  Make sure the program we use is common between Unix
  ; and Windows (and others?).
  (greg-testcase "launchedTaskWithLaunchPath:arguments: works" #t
    (lambda ()
      (define task ([] "NSTask" launchedTaskWithLaunchPath: pth1
      					        arguments: gstep-nil))
      ([] task waitUntilExit)
      #t
    )
  )

  (if (not windows)
      (greg-testcase "launch works" #t
        (lambda ()
	  (define task ([] "NSTask" new))
	  (define args ([] ([] "NSArray" arrayWithObject: ($$ "-c"))
                        arrayByAddingObject: ($$ "echo $PATH")))
	  (set! pth2 ($$ "/bin/sh"))
	  ([] task setEnvironment: env)
	  ([] task setLaunchPath: pth2)
	  ([] task setArguments: args)
	  ([] task launch)
	  ([] task waitUntilExit)
	  #t
	)
      )
  )

)




