
;   create.scm - Tests of calling Objective-C methods from Guile
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by: Adam Fedor <fedor@gnu.org>
;   Date: May 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define defs gstep-nil)

  (greg-testcase "NSUserDefaults understands +standardUserDefaults" #t
    (lambda ()
      (set! defs ([] "NSUserDefaults" standardUserDefaults))
      (not (equal? defs gstep-nil))
    )
  )

  (greg-testcase "NSUserDefaults can set/get a BOOL" #t
    (lambda ()
      ([] defs setBool: #t forKey: ($$ "Test Suite Bool"))
      (gstep-bool ([] defs boolForKey: ($$ "Test Suite Bool")))
    )
  )

  (greg-testcase "NSUserDefaults can set/get an int" #t
    (lambda ()
      ([] defs setInteger: 34 forKey: ($$ "Test Suite Int"))
      (eq? 34 ([] defs integerForKey: ($$ "Test Suite Int")))
    )
  )

  (greg-testcase "NSUserDefaults can set/get a string" #t
    (lambda ()
      ([] defs setObject: ($$ "SetString") forKey: ($$ "Test Suite Str"))
      (gstep-bool ([] ([] defs stringForKey: ($$ "Test Suite Str")) isEqual: ($$ "SetString")))
    )
  )


)