;   test00.scm - Tests for Unicode and other encoded strings
;   Copyright (C) 2001 Free SoftwareFoundation, Inc.
;
;   Written by:  Adam Fedor <fedor@gnu.org>
;   Date: Sep 2001
;
;   This file is part of the GNUstep project.
;
;   This library is free software; you can redistribute it and/or
;   modify it under the terms of the GNU Library General Public
;   License as published by the Free Software Foundation; either
;   version 2 of the License, or (at your option) any later version.
;   
;   This library is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;   Library General Public License for more details.
;
;   You should have received a copy of the GNU Library General Public
;   License along with this library; if not, write to the Free
;   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(begin

  (define astr gstep-nil)
  (define bstr gstep-nil)
  (define adat gstep-nil)

  (define GSUndefinedEncoding  0)
  (define NSASCIIStringEncoding  1)
  (define NSNEXTSTEPStringEncoding  2)
  (define NSJapaneseEUCStringEncoding  3)
  (define NSUTF8StringEncoding  4)
  (define NSISOLatin1StringEncoding  5)
  (define NSSymbolStringEncoding  6)
  (define NSNonLossyASCIIStringEncoding  7)
  (define NSShiftJISStringEncoding  8)
  (define NSISOLatin2StringEncoding  9)
  (define NSUnicodeStringEncoding  10)

  (greg-testcase "We can convert from UTF8 Encoding" #t
   (lambda ()
     (set! bstr ($$ "Hello---@?pP-l&") )
     (set! adat ([] bstr dataUsingEncoding: NSUTF8StringEncoding))
     (and
      (not (equal? adat gstep-nil))
      (gstep-bool ([] adat isKindOfClass: ([] "NSData" class)))
      )
     )
   )

  (greg-testcase "We can convert to UTF8 Encoding" #t
   (lambda ()
     (define cstr ([] ([] "NSString" alloc) initWithData: adat  encoding: NSUTF8StringEncoding))
     (and
      (not (equal? cstr gstep-nil))
      (gstep-bool ([] astr isKindOfClass: ([] "NSString" class)))
      )
     )
   )



)


